SSS_SSH_KNOWNHOSTS(1)

NAME
sss_ssh_knownhosts - obtém chaves públicas OpenSSH de máquinas conhecidas

SYNOPSIS

sss_ssh_knownhosts [opções] MÁQUINA

DESCRIÇÃO

sss_ssh_knownhosts adquire chaves públicas SSH para máquina MÁQUINA e gera-as em formato de chave known_hosts do OpenSSH (veja a secção “FORMATO DE FICHEIRO SSH_KNOWN_HOSTS” do sshd(8) para mais informação).

ssh(1) pode ser configurado para usar sss_ssh_knownhosts para autenticação de máquina de chave pública usando a opção “KnownHostsCommand”:

                    KnownHostsCommand /usr/bin/sss_ssh_knownhosts %H

Por favor consulte o manual ssh_config(5) para mais detalhes acerca desta opção.

Esta ferramenta requer que o serviço ssh do SSSD esteja ativo para funcionar de modo apropriado.

OPÇÕES

-d,--domain DOMÍNIO
    Procura por chaves públicas da máquina no domínio do SSSD DOMÍNIO.

-o,--only-host-name
    Quando as chaves obtidas do backend não incluem o nome de máquina, esta ferramenta irá adicionar o nome de máquina não modificado como fornecido pelo chamador. Se esta bandeira estiver definida, apenas o nome de máquina (nenhum número de porto) será adicionado às chaves.

-?,--help
    Exibe a mensagem de ajuda e sai.

OBTENÇÃO DE CHAVE

As linhas de chave obtidas a partir do backend são esperadas que respeitem o formato de chave descrito na secção “FORMATO DE FICHEIRO SSH_KNOWN_HOSTS ” do sshd(8). No entanto, retornar apenas o tipo de chave e a própria chave é tolerado, que no caso, o nome de máquina recebido como parâmetro será adicionado antes do tipo de chave para resultar numa linha formatada corretamente. O nome de máquina será adicionado não modificado apenas o nome de máquina (nenhum número de porto), dependendo de se a opção -o,--only-host-name foi fornecida.

Quando o servidor SSH está a escutar num porto não-predefinido, o backend TEM DE fornecer o nome de máquina incluindo o número de porto no formato e posição corretos como parte da linha de chave. Por exemplo, a linha de chave mínima seria:

                    [canonical.host.name]:2222 <keytype> <base64-encoded key>

ESTADO DE SAÍDA

No caso de execução com sucesso, mesmo que nenhuma chave seja encontrada para essa máquina ou se o respondedor ssh não possa ser contactado, é retornado 0. É retornado 1 em caso qualquer outro erro.

VEJA TAMBÉM

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-ldap-attributes(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-idp(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(1), sss_ssh_knownhosts(1), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

O autor do SSSD - https://github.com/SSSD/sssd/